# User Registrations

<mark style="color:blue;">`POST`</mark> `{API_URL}/client/register-user`

Auth required: YES

Please pass your API key as the username and API secret as the password as Basic Auth to access the endpoint

#### Query Parameters

| Name                | DataType | Description                                          | Type      |
| ------------------- | -------- | ---------------------------------------------------- | --------- |
| phone               | String   | phone number of the user                             | Optional  |
| countryCode         | String   | contryCode of phone No.                              | Optional  |
| email               | String   | email of the user                                    | Optional  |
| firstName           | string   | first name of the user                               | Mandatory |
| lastName            | string   | last name of the user                                | Optional  |
| dateOfBirth         | string   | dob of the user                                      | Optional  |
| gender              | string   | User's gender (Allowed values: MALE, FEMALE, OTHERS) | Optional  |
| enableOffers        | boolean  | Flag to enable promotional offers                    | Optional  |
| enableNotifications | boolean  | Flag to enable notifications                         | Optional  |

> You need to pass either below paarmeters of the user from which the user,

```json
{
    "firstName": "Shivam Dubey",
    "email": "shivamdubey+abcd@conscent.ai",
    "phone": "9807876896",
    "isEmailVerified": true,
    "isPhoneVerified": true,
    "countryCode": "+91",
    "gender": "MALE",
    "dateOfBirth": "2025-05-13T16:13:02.128Z",
    "shippingAddress": [
        {
            "apartment": "20/41 Rambagh",
            "city": "Agra",
            "state": "UP",
            "pincode": "282006",
            "country": "INDIA"
        },
        {
            "apartment": "20/41 Rambagh",
            "city": "Agra",
            "state": "UP",
            "pincode": "282007",
            "country": "INDIA"
        }
    ],
    "billingAddress": [
        {
            "apartment": "20/41 Rambagh",
            "city": "Agra",
            "state": "UP",
            "pincode": "8",
            "country": "INDIA"
        },
        {
            "apartment": "20/41 Rambagh",
            "city": "Agra",
            "state": "UP",
            "pincode": "282009",
            "country": "INDIA"
        }
    ]
}
```

{% tabs %}
{% tab title="201: Created " %}

```postman_json
{
    "message": "Account created successfully",
    "userId": "66ced0ebf72e8b7beddfe1e1"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0/integrating-apis-v2/user-registrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
